Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Class AbleCheckBoxTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          com.ibm.able.AbleCheckBoxTreeNode

All Implemented Interfaces:
  java.lang.Cloneable, javax.swing.tree.MutableTreeNode, java.io.Serializable, javax.swing.tree.TreeNode

public class AbleCheckBoxTreeNode
extends javax.swing.tree.DefaultMutableTreeNode

This class provides a TreeNode and maintains an indicator as to whether or not it is selected.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`AbleCheckBoxTreeNode(java.lang.Object userObject, boolean allowsChildren, boolean theSelection)` Construct the node and set its properties.

Method Summary
`boolean` | `isSelected()` Return the selection indicator for this node.
`void` | `setSelected(boolean theSelection)` Set the selection indicator for this node.
`void` | `setSelectedNode(boolean theSelection)` Set the selection indicator for this node.
`void` | `setSelectedParent(boolean theSelection)` Set the selection indicator for this node's parents.

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbleCheckBoxTreeNode

    public AbleCheckBoxTreeNode(java.lang.Object userObject,
                                boolean allowsChildren,
                                boolean theSelection)

  Construct the node and set its properties.

Parameters:
  `userObject` - is the underlying user object for the node.
  `allowsChildren` - indicates whether the node is a leaf or container.
  `theSelection` - sets the selection parameter for this node.

Method Detail

### setSelectedNode

    public void setSelectedNode(boolean theSelection)

  Set the selection indicator for this node. No parent or child nodes are updated.

  Parameters:
    `theSelection` - sets the selection parameter for this node.

### setSelected

    public void setSelected(boolean theSelection)

  Set the selection indicator for this node. Parent and child nodes are also updated.

  Parameters:
    `theSelection` - sets the selection parameter for this node.

### setSelectedParent

    public void setSelectedParent(boolean theSelection)

  Set the selection indicator for this node's parents. If all peers are selected, the parent is selected. If any peer is not selected, all parents are deselected.

  Parameters:
    `theSelection` - sets the selection parameter for this node.

### isSelected

    public boolean isSelected()

  Return the selection indicator for this node.

  Returns:
    theSelection indicator for this node.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005